Bug 31309 - Remove GetItemsInfo from basket/sendbasket
Summary: Remove GetItemsInfo from basket/sendbasket
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Joonas Kylmälä
URL:
Keywords:
Depends on: 31306
Blocks: 27272
  Show dependency treegraph
 
Reported: 2022-08-08 14:22 UTC by Jonathan Druart
Modified: 2022-08-16 13:21 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.11.00


Attachments
Bug 31309: Remove GetItemsInfo from basket/sendbasket (3.03 KB, patch)
2022-08-08 14:46 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 31309: Remove GetItemsInfo from basket/sendbasket (3.08 KB, patch)
2022-08-08 16:26 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 31309: Remove GetItemsInfo from basket/sendbasket (3.22 KB, patch)
2022-08-14 13:50 UTC, Joonas Kylmälä
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2022-08-08 14:22:32 UTC
Bug 27272 is going to remove C4::Items::GetItemsInfo in favour of Koha::Items->search_ordered.

Here we are going to deal with basket/sendbasket
Comment 1 Jonathan Druart 2022-08-08 14:46:07 UTC
Created attachment 138817 [details] [review]
Bug 31309: Remove GetItemsInfo from basket/sendbasket

Why are we display with $raw?
Why are we display the location code instead of the AV's lib?

Bug 27272 is going to remove C4::Items::GetItemsInfo in favour of Koha::Items->search_ordered.

Here we are going to deal with basket/sendbasket

Test plan:
List items on the modified view and confirm that all the info is
displayed correctly
Comment 2 Owen Leonard 2022-08-08 16:26:41 UTC
Created attachment 138843 [details] [review]
Bug 31309: Remove GetItemsInfo from basket/sendbasket

Why are we display with $raw?
Why are we display the location code instead of the AV's lib?

Bug 27272 is going to remove C4::Items::GetItemsInfo in favour of Koha::Items->search_ordered.

Here we are going to deal with basket/sendbasket

Test plan:
List items on the modified view and confirm that all the info is
displayed correctly

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Joonas Kylmälä 2022-08-14 13:50:25 UTC
Created attachment 139091 [details] [review]
Bug 31309: Remove GetItemsInfo from basket/sendbasket

Why are we display with $raw?
Why are we display the location code instead of the AV's lib?

Bug 27272 is going to remove C4::Items::GetItemsInfo in favour of Koha::Items->search_ordered.

Here we are going to deal with basket/sendbasket

Test plan:
List items on the modified view and confirm that all the info is
displayed correctly

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Joonas Kylmälä <joonas.kylmala@iki.fi>
Comment 4 Tomás Cohen Arazi 2022-08-16 13:21:58 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!